/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
/// <reference types="node" />
import { Session } from '@zowe/imperative';
import { IRestApiResponse } from '../../doc';
import { ClientRequest, IncomingMessage } from 'http';
export declare class IssueCommand {
    static tsoCommand(session: Session, command: string, shellId?: string): Promise<IRestApiResponse>;
    static unixLongRunningCommand(session: Session, commandText: string, cwd: string, callback: (res: IncomingMessage) => void): ClientRequest;
    static unixCommand(session: Session, commandText: string, cwd: string): Promise<IRestApiResponse>;
    /**
     *
     * NOTE: Console Commands no yet implemented by RSE API
     * This method is to get a Not Implemented error for Zowe Explorer generated by the
     * API file.
     */
    static consoleCommand(session: Session, command: string): Promise<IRestApiResponse>;
    /**
     * Get Log
     * @returns {Logger} applicationLogger.
     */
    private static get log();
}
