/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { Session, IProfile, ICommandArguments } from '@zowe/imperative';
import { IRestSession } from '../doc/IRestSession';
export declare class RseRestSession extends Session {
    /**
     * Given a REST profile, create a REST Client Session.
     * @static
     * @param {IProfile} profile - The rest profile contents
     * @returns {Session} - A session for usage in the REST Client
     */
    static createBasicRestSession(profile: IProfile): Session;
    /**
     * Given command line arguments, create a REST Client Session.
     * @static
     * @param {ICommandArguments} args - The arguments specified by the user
     * @returns {Session} - A session for usage in the Zowe REST Client
     */
    static createBasicRestRestSessionFromArguments(args: ICommandArguments): Session;
    constructor(iSession: IRestSession);
}
