/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(t,e,s,i){void 0===i&&(i=s);var o=Object.getOwnPropertyDescriptor(e,s);o&&!("get"in o?!e.__esModule:o.writable||o.configurable)||(o={enumerable:!0,get:function(){return e[s]}}),Object.defineProperty(t,i,o)}:function(t,e,s,i){void 0===i&&(i=s),t[i]=e[s]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(t,e){Object.defineProperty(t,"default",{enumerable:!0,value:e})}:function(t,e){t.default=e}),__importStar=this&&this.__importStar||function(t){if(t&&t.__esModule)return t;var e={};if(null!=t)for(var s in t)"default"!==s&&Object.prototype.hasOwnProperty.call(t,s)&&__createBinding(e,t,s);return __setModuleDefault(e,t),e},__awaiter=this&&this.__awaiter||function(t,e,s,i){return new(s||(s=Promise))((function(o,n){function r(t){try{l(i.next(t))}catch(t){n(t)}}function a(t){try{l(i.throw(t))}catch(t){n(t)}}function l(t){var e;t.done?o(t.value):(e=t.value,e instanceof s?e:new s((function(t){t(e)}))).then(r,a)}l((i=i.apply(t,e||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.GetContent=void 0;const fs=__importStar(require("fs")),path_1=require("path"),rest_1=require("../../rest"),ZosRestApi_constants_1=require("../../constants/ZosRestApi.constants"),JobsConstants_1=require("../../constants/JobsConstants"),RseHeaders_1=require("../../doc/RseHeaders"),CoreUtils_1=require("../../utils/CoreUtils"),Utilities_1=require("../utilities/Utilities");class GetContent{static ussFile(t,e,s){return __awaiter(this,void 0,void 0,(function*(){Utilities_1.Utilities.log.trace("GetContent.ussFile called.");try{let i=[];i=(0,CoreUtils_1.setHeaders)(t),s.binary?i.push({[RseHeaders_1.RseHeaders.CONVERT]:"false"}):i.push({[RseHeaders_1.RseHeaders.CONVERT]:"true"});const o=(0,CoreUtils_1.endpointBuilder)(t,path_1.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES,(0,CoreUtils_1.rsePathEncode)(e)));Utilities_1.Utilities.log.debug(`Endpoint: ${o}`);return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.getExpectBufferAndEtag(t,o,i)}}catch(t){throw Utilities_1.Utilities.logError(t),t}}))}static dataSet(t,e,s={}){return __awaiter(this,void 0,void 0,(function*(){if(Utilities_1.Utilities.log.trace("GetContent.dataSet called."),s.binary)return yield this.dataSetBinary(t,e,s);try{let i=[],o=(0,CoreUtils_1.endpointBuilder)(t,path_1.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.DATASETS));s.volume&&(o=path_1.posix.join(o,`-(${s.volume})`)),o=path_1.posix.join(o,(0,CoreUtils_1.rsePathEncode)(e),ZosRestApi_constants_1.ZosRestApiConstants.CONTENT),Utilities_1.Utilities.log.debug(`Endpoint: ${o}`),i=(0,CoreUtils_1.setHeaders)(t),s.returnEtag&&i.push({Etag:s.returnEtag.toString()}),s.encoding&&i.push({hostEncoding:s.encoding.toString()});return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.getExpectBufferAndEtag(t,o,i)}}catch(t){throw Utilities_1.Utilities.logError(t),t}}))}static dataSetBinary(t,e,s={}){return __awaiter(this,void 0,void 0,(function*(){Utilities_1.Utilities.log.trace("GetContent.dataSetBinary called.");try{let i=[],o=(0,CoreUtils_1.endpointBuilder)(t,path_1.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.DATASETS));s.volume&&(o=path_1.posix.join(o,`-(${s.volume})`)),o=path_1.posix.join(o,(0,CoreUtils_1.rsePathEncode)(e),ZosRestApi_constants_1.ZosRestApiConstants.RAWCONTENT),Utilities_1.Utilities.log.debug(`Endpoint: ${o}`),i=(0,CoreUtils_1.setHeaders)(t),void 0!==s.returnEtag&&i.push({Etag:s.returnEtag.toString()}),i.push({Accept:"application/octet-stream"}),i.push({"Content-Type":"application/octet-stream"});return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.getExpectString(t,o,i)}}catch(t){const e=t;throw Utilities_1.Utilities.log.error(e.toString()),t}}))}static jobOutput(t,e,s={}){return __awaiter(this,void 0,void 0,(function*(){Utilities_1.Utilities.log.trace("GetContent.jobOutput called.");try{const s=(0,CoreUtils_1.endpointBuilder)(t,path_1.posix.join(JobsConstants_1.JobsConstants.RESOURCE,(0,CoreUtils_1.rsePathEncode)(e.jobName.toUpperCase()),e.jobId.toUpperCase(),JobsConstants_1.JobsConstants.RESOURCE_SPOOL_FILES,e.id.toString(),JobsConstants_1.JobsConstants.RESOURCE_SPOOL_CONTENT)),i=(0,CoreUtils_1.setHeaders)(t);return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.getExpectJSON(t,s,i)}}catch(t){const e=t;throw Utilities_1.Utilities.log.error(e.toString()),t}}))}static jobOutputOldApi(t,e,s){return __awaiter(this,void 0,void 0,(function*(){e=path_1.posix.join(e,JobsConstants_1.JobsConstants.RESOURCE_SPOOL_CONTENT);const i=(0,CoreUtils_1.setHeaders)(t),o=yield rest_1.RseRestClient.getExpectJSON(t,e,i);return fs.writeFile(s,Buffer.from(o.content),(t=>{if(t)throw Utilities_1.Utilities.logError(t),t})),{success:!0,commandResponse:null,apiResponse:o}}))}}exports.GetContent=GetContent;