/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,t,s,r){void 0===r&&(r=s);var o=Object.getOwnPropertyDescriptor(t,s);o&&!("get"in o?!t.__esModule:o.writable||o.configurable)||(o={enumerable:!0,get:function(){return t[s]}}),Object.defineProperty(e,r,o)}:function(e,t,s,r){void 0===r&&(r=s),e[r]=t[s]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var s in e)"default"!==s&&Object.prototype.hasOwnProperty.call(e,s)&&__createBinding(t,e,s);return __setModuleDefault(t,e),t},__awaiter=this&&this.__awaiter||function(e,t,s,r){return new(s||(s=Promise))((function(o,n){function i(e){try{p(r.next(e))}catch(e){n(e)}}function a(e){try{p(r.throw(e))}catch(e){n(e)}}function p(e){var t;e.done?o(e.value):(t=e.value,t instanceof s?t:new s((function(e){e(t)}))).then(i,a)}p((r=r.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.getHttpsErrorMessage=exports.rsePathEncode=exports.endpointBuilder=exports.readLocalFile=exports.apiVersionCheck=exports.getUserHome=exports.setHeaders=exports.setRestCommandFullHeaders=exports.checkForToken=exports.asyncPool=exports.sleep=void 0;const path=__importStar(require("path")),fs=__importStar(require("fs")),imperative=__importStar(require("@zowe/imperative")),constants_1=require("../constants"),methods_1=require("../methods");function sleep(e=1e3){return new Promise((t=>setTimeout(t,e)))}function asyncPool(e,t,s){let r=0;const o=[],n=[],i=()=>{if(r===t.length)return Promise.resolve();const a=t[r++],p=Promise.resolve().then((()=>s(a,t)));o.push(p);const c=p.then((()=>n.splice(n.indexOf(c),1)));n.push(c);let u=Promise.resolve();return n.length>=e&&(u=Promise.race(n)),u.then((()=>i()))};return i().then((()=>Promise.all(o)))}function checkForToken(e){if(e.ISession.tokenValue)return{Authorization:e.ISession.tokenValue}}function setRestCommandFullHeaders(e){const{user:t,base64EncodedAuth:s,password:r}=e.ISession;if(t&&r)return{Authorization:"Basic "+s};const o=checkForToken(e);return o||void 0}function setHeaders(e){if(e.ISession.user&&e.ISession.password)return[];const t=checkForToken(e);return t?[t]:[]}function getUserHome(){return process.env["win32"==process.platform?"USERPROFILE":"HOME"]}function apiVersionCheck(e,t){return __awaiter(this,void 0,void 0,(function*(){const s=yield methods_1.CheckStatus.getRseStatus(e);if(JSON.stringify(s).includes("stdout"))throw imperative.Logger.getAppLogger().error(constants_1.ZosApiMessages.notSupported100.message),new imperative.ImperativeError({msg:constants_1.ZosApiMessages.notSupported100.message});const r=JSON.parse(JSON.stringify(s)),o=null==r?void 0:r.rseapi_version.split(/\./g);for(let e=0;e<o.length;e++){if(+o[e]>t[e])return;if(+o[e]<t[e])throw imperative.Logger.getAppLogger().error(`${constants_1.ZosApiMessages.notSupported.message} ${r.rseapi_version}`),new imperative.ImperativeError({msg:`${constants_1.ZosApiMessages.notSupported.message} ${r.rseapi_version}`})}}))}function readLocalFile(e){return __awaiter(this,void 0,void 0,(function*(){let t;const s=new Promise(((s,r)=>{fs.readFile(e,((e,o)=>{null==e&&o.length>=0?(s(!0),t=o.toString()):null==e?(imperative.Logger.getAppLogger().error(constants_1.ZosFilesMessages.missingInputFile.message),r(new imperative.ImperativeError({msg:constants_1.ZosFilesMessages.missingInputFile.message}))):(imperative.Logger.getAppLogger().error(`${constants_1.ZosFilesMessages.nodeJsFsError.message} ${e}`),r(new imperative.ImperativeError({msg:constants_1.ZosFilesMessages.nodeJsFsError.message,additionalDetails:e.toString(),causeErrors:e})))}))}));return yield s,t}))}function endpointBuilder(e,t){return e.ISession.basePath.includes(constants_1.ZosRestApiConstants.RESOURCE)?t.replace(constants_1.ZosRestApiConstants.RESOURCE,""):t}function rsePathEncode(e){if(!e)return e;const t=path.posix.normalize(e);let s="";return t.split("/").forEach((e=>e?s=`${s}/${encodeURIComponent(e)}`:s)),s}function getHttpsErrorMessage(e){switch(e){case 400:return constants_1.ZosApiMessages.httpStatus400.message;case 401:return constants_1.ZosApiMessages.httpStatus401.message;case 403:return constants_1.ZosApiMessages.httpStatus403.message;case 404:return constants_1.ZosApiMessages.httpStatus404.message;case 500:return constants_1.ZosApiMessages.httpStatus500.message;case 505:return constants_1.ZosApiMessages.httpStatus505.message;default:return}}exports.sleep=sleep,exports.asyncPool=asyncPool,exports.checkForToken=checkForToken,exports.setRestCommandFullHeaders=setRestCommandFullHeaders,exports.setHeaders=setHeaders,exports.getUserHome=getUserHome,exports.apiVersionCheck=apiVersionCheck,exports.readLocalFile=readLocalFile,exports.endpointBuilder=endpointBuilder,exports.rsePathEncode=rsePathEncode,exports.getHttpsErrorMessage=getHttpsErrorMessage;